Subject: Relative timestamps in mumi off by up to half an hour

From: "Timo Wilken" <[email-masked]>
Date: Tue, 08 Apr 2025 20:56:46 +0200

Hi Arun, hi mumi'ers (mumins?),

As of now (2025-04-08 20:48 +0200), the following message displayed in mumi:

https://issues.guix.gnu.org/76718#6

...has a relative timestamp of "102 minutes ago" shown.

However, its title attribute says "Tue Apr 08 19:31:08+0200 2025", matches
when I actually sent the email, and which is a difference of only 77 minutes.

Weirdly, at 20:51, it still says "102 minutes ago", even if I force-refresh
(bypassing the browser cache).

Is there something wrong with the times that mumi assigns, or are the relative
times meant to be "fuzzy"? If so, I'd recommend rephrasing them to e.g. "about
100 minutes ago", as perfect minute-level precision in the displayed time
makes me assume that the displayed timestamp is actually that accurate!

I initially was very confused, when I saw it only 3 minutes after sending the
email, and it said "27 minutes ago"...

Cheers,
Timo